:root {
    --space: 2rem;
    --space-xs: calc(var(--space) / 3);
    --space-sm: calc(var(--space) / 2);
    --space-md: calc(var(--space) * 2);
  
    --color-primary: lightgray;
    --color-accent: whitesmoke;
    --color-dark: black;
    --color-mid: gray;
    --color-light: white;
    --color-highlight: dodgerblue;
    --color-dark-red: rgb(87, 2, 2);
  
    --radius: 0.125rem;

    --font-family: "Montserrat", sans-serif; 
  }
  
* {
    box-sizing: border-box;
    scrollbar-width: thin;
    scrollbar-color: var(--color-primary) var(--color-mid);
}

/* Chrome and Edge */
*::-webkit-scrollbar {
    width: 10px;
}

*::-webkit-scrollbar-track {
    background: var(--color-primary);
}

*::-webkit-scrollbar-thumb {
    background-color: #757474;
    border-radius: 20px;

}

html,
body {
    height: 100%;
}


[hidden] {
    display: none;
}

body {
    font-family: "Helvetica Neue", sans-serif!important;
    line-height: 1.4;
    margin: 0 var(--space)!important;
    max-width: 2400px;
}

main {
    display: flex;
    /**flex-wrap: wrap;**/
}

main {
    margin-bottom: calc(var(--space-md) * -1);
}

h2 {
    font-size: clamp(2rem, 4vw, 3.5rem);
    font-weight: 600;
    line-height: 1.2;
}

    /*************************/
   /*   Navegation Header   */
  /*************************/

header, footer {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    padding: 0 var(--space);
    height: 16vh;
    border-bottom: 1px solid #e3e8ec; 
}

.navbar{
    width: 100%;
    justify-content: left!important;
}

.navbar-toggler-icon{
    margin-right: 15px;
}

.navbar-nav{
    flex-direction: row!important;
}

.navbar-nav .nav-item{
    margin: 0.5rem;
}

    /*************************/
   /*  Navegation SideBar   */
  /*************************/

.sidebar {
    --offset: var(--space);
    flex-grow: 1;
    flex-basis: 300px;
    align-self: start;
    position: sticky;
    top: var(--offset);
}

.component {
    display: grid;
    grid-template-rows: auto 1fr auto;
}
 
.component .content {
    max-height: 800px;
    overflow-y: auto;
}

.component {
    position: relative;
    border: 1px solid var(--color-primary);
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.04), 0 2px 4px rgba(0, 0, 0, 0.04),
      0 4px 8px rgba(0, 0, 0, 0.03), 0 8px 16px rgba(0, 0, 0, 0.03),
      0 16px 32px rgba(0, 0, 0, 0.02), 0 32px 64px rgba(0, 0, 0, 0.02);
}

.component .header,
.component .footer {
  padding: var(--space-sm);
  text-align: center;
}

.component .header {
    border-bottom: inherit;
}

.navbar-form {
    display:flex;
    flex-direction:row;
    border:1px solid grey;
    border-radius: 50px;
    padding:2px;
}

.navbar-form .navbar-input{
    font-family: Montserrat;
    font-weight: 600;
    color: var(--color-mid);
    margin-left: 10px;
    border-radius: 50px;
    height:35px;
    flex-grow:2;
    border:none;
}

.navbar-form .navbar-input:focus {
    outline: none;
}

.navbar-form .btn {
    border-radius: 50px;
}

.empty-text {
    padding: var(--space);
    text-align: center;
    color: var(--color-mid);
    
}

.empty-text ol {
    list-style-type: none;
    counter-reset: item;
    margin: 0;
    padding: 0!important;
}
  
.empty-text ol > li {
    display: table;
    counter-increment: item;
    margin-bottom: 0.6em;
}

.nav-link{
    padding: .1rem 0rem!important;
}

.nav-link:focus, .nav-link:hover {
    color: var(--color-dark-red)!important;
}

.empty-text li > a{
    color: rgb(31, 24, 24);
    text-decoration: none;
    display: flex;
    flex-direction: row;
}

.empty-text li > a:hover{
    color: var(--color-dark-red);
}

.empty-text ol > li:before {
    content: counters(item, ".") ". ";
    display: table-cell;
    padding-right: 0.6em;
}
  
.empty-text li ol > li {
    margin: 0;
}
  
.empty-text li ol > li:before {
    content: counters(item, ".") " ";
}

    /*************************/
   /*       Article         */
  /*************************/

.article {
    flex-basis: 0;
    flex-grow: 999;
    min-width: 40%;
}

article > * + * {
    margin-top: var(--space);
} 

.components {
    margin-left: var(--space);
}

.components div {
    font-size: clamp(0.5rem, 2vw, 1rem);
}
  
footer{
    height: auto;
    width: 100%;
    background-color: whitesmoke;
}